<?php
/* OLAF
  ============================================================
    sitr-Plugin
  ============================================================
    version:    2.8beta
    released:   May 2020
    author:     tata <info@cmsimple.sk>
    copyright:  copyright 2020 by tata <http://cmsimple.sk>
    e-mail:     info@cmsimple.sk
    website:    www.cmsimple.sk
    category:   CMSimple_XH
  ============================================================
*/
/*
 * Front-end of ShowInTime_XH.
 */

/** Prinformation direct access. **/
if (!defined('CMSIMPLE_XH_VERSION')) { 
    header('HTTP/1.0 403 Forbidden');
    exit;
}

/* sitr_today function */
function sitr_today() {

    global $plugin_cf, $plugin_tx, $sl;

    // declare variables
    $time = time();
    $announceTime =  strtotime($plugin_cf['sitr']['information_announce_on']);
    $startTime =  strtotime($plugin_cf['sitr']['information_start_time']);
    $stopTime = strtotime($plugin_cf['sitr']['information_stop_time']);

    $day_name_array = explode(',', $plugin_tx['sitr']['day_names']);
    $day_name_array = array_map('trim', $day_name_array);

    $today_nr = date('w');
    $today_name = $day_name_array[$today_nr];


    /* create the newsbox content */
$o = '		<div class="sitr_box">';
$o .= '			<div class="sitr_time">'
   					. $today_name . ', ' . date($plugin_tx['sitr']['dateformat'])
   					. ' </div>';
$o .= '			<div  class="sitr_box_content">';
    if(strlen(newsbox($plugin_tx['sitr']['day'])) < 50 ) {
$o .= '				<div class="sitr_box_content_inner">' . newsbox($plugin_tx['sitr']['page_no_information']) . '</div>';
    } elseif($time < $announceTime){
$o .= '				<div class="text_above">' . $plugin_tx['sitr']['text_above'] . '</div>';
$o .= '				<div class="sitr_box_content_inner">' . sprintf($plugin_tx['sitr']['text_before_announcement'],$plugin_cf['sitr']['information_announce_on']) . '</div>';
$o .= '				<div class="text_below">' . $plugin_tx['sitr']['text_below'] . '</div>';
    } elseif(($announceTime < $time) && ($time < $startTime)) {
$o .= '				<div class="announce">' . sprintf($plugin_tx['sitr']['text_before_start'],$plugin_cf['sitr']['information_start_time']) . '</div>
	 					<div class="text_above">' 
	. 						$plugin_tx['sitr']['text_above'] . '
						 
	  				</div>';
$o .= '				<div class="sitr_box_content_inner">' . newsbox($plugin_tx['sitr']['day']) . '</div>';
$o .= '				<div class="text_below">' . $plugin_tx['sitr']['text_below'] . '</div>';
    } elseif(($startTime < $time) && ($time < $stopTime)) {
$o .= '				<div class="text_above">' . $plugin_tx['sitr']['text_above'] . '</div>';
$o .= '				<div class="sitr_box_content_inner">' . newsbox($plugin_tx['sitr']['day']) . '</div>'; 
$o .= '				<div class="text_below">' . $plugin_tx['sitr']['text_below'] . '</div>';
    } else {
$o .= '				<div class="sitr_box_content_inner">';
$o .= '					<div class="no_information">' . newsbox($plugin_tx['sitr']['page_no_information']) . '</div>';
$o .= '				</div>';
    }
$o .= '				<div class="sitr_footer">' . $plugin_tx['sitr']['copyright'] . '</div>';
$o .= '			</div>';
    // end of box
$o .='		</div>';

return $o;
} 

/* sitr_today function */
function sitr_weekday() {

    global $plugin_cf, $plugin_tx, $sl;

    // declare variables
    $time = time();
    $announceTime =  strtotime($plugin_cf['sitr']['information_announce_on']);

    $day_name_array = explode(',', $plugin_tx['sitr']['day_names']);
    $day_name_array = array_map('trim', $day_name_array);

    $today_nr = date('w');
    $today_name = $day_name_array[$today_nr];



/* create the newsbox content */
/* only the announce time is important - the start/stop time is to be stated directly in the respective page content */
$o = ' 		<div class="sitr_box">';
$o .= '			<div class="sitr_time">' 
   .	 			$today_name . ', ' . date($plugin_tx['sitr']['dateformat'])
   . '			</div>';
$o .= '			<div  class="sitr_box_content">';
    if(strlen(newsbox($today_name)) < 50 ) {
$o .= '				<div class="sitr_box_content_inner">' . newsbox($plugin_tx['sitr']['page_no_information']) . '</div>';
    } elseif($time < $announceTime) {
$o .= '				<div class="text_above">' . $plugin_tx['sitr']['text_above'] . '</div>';
$o .= '					<div class="sitr_box_content_inner">' . sprintf($plugin_tx['sitr']['text_before_announcement'],$plugin_cf['sitr']['information_announce_on']) . '</div>';
$o .= '				<div class="text_below">' . $plugin_tx['sitr']['text_below'] . '</div>';
    } elseif(($announceTime < $time)) {
$o .= '				<div class="text_above">' . $plugin_tx['sitr']['text_above'] . '</div>';
$o .= '				<div class="sitr_box_content_inner">' . newsbox($today_name) . '</div>'; 
$o .= '				<div class="text_below">' . $plugin_tx['sitr']['text_below'] . '</div>';
    } else {
$o .= '				<div class="sitr_box_content_inner">';
$o .= '					<div class="no_information">' . newsbox($plugin_tx['sitr']['page_no_information']) . '</div>';
$o .= '				</div>';
    }
$o .= '				<div class="sitr_footer">' . $plugin_tx['sitr']['copyright'] . '</div>';
$o .= '			</div>';
    // end of box
$o .='		</div>';

return $o;
} 

/* week plan function */
function sitr_week() {

    global $plugin_cf, $plugin_tx ,$sl;

    // declare variables
    $day_name_array = explode(',', $plugin_tx['sitr']['day_names']);
    $day_name_array = array_map('trim', $day_name_array);
    $today_nr = date('w');

	if ($plugin_tx['sitr']['week_starts_monday'] == '1') {
        $sunday = array_shift($day_name_array);
        $day_name_array[] = $sunday;
        $today_nr = $today_nr - 1;
    }

    $o = '';
    for ($i = 0; $i <= 6; $i++) {
        if($today_nr > $i) {
$o .= '		<div class="sitr_content_week '. $plugin_cf['sitr']['previousday'] .'">';
$o .= '			<div class="sitr_box_content_inner">';
            if(strlen (newsbox($day_name_array[date($i)])) < 50 ) {
$o .= 				newsbox($plugin_tx['sitr']['page_no_information']);
            } else {
$o .= 				newsbox($day_name_array[date($i)]);
            }
$o .= '			</div>';
$o .= '		</div>';
        } else {
$o .= '		<div class="sitr_content_week">';
$o .= '			<div class="sitr_box_content_inner">';
            if(strlen (newsbox($day_name_array[date($i)])) < 50 ) {
$o .= 				newsbox($plugin_tx['sitr']['page_no_information']);
            } else {
$o .= 				newsbox($day_name_array[date($i)]);
            }
$o .= '			</div>';
$o .= '		</div>';
        }
    }

return $o;
}
 
 /* next day */
function sitr_nextday() {

    global $plugin_cf, $plugin_tx, $sl;

    // declare variables
    $time = time();
    $announceTime =  strtotime($plugin_cf['sitr']['information_announce_on']);

    $day_name_array = explode(',', $plugin_tx['sitr']['day_names']);
    $day_name_array = array_map('trim', $day_name_array);

    $today_nr = date('w');
    $today_name = $day_name_array[$today_nr];

    $nextday_nr = date('w', strtotime('+1 day'));
    $nextday_name = $day_name_array[$nextday_nr];

/*if ($plugin_tx['sitr']['week_starts_monday'] == '1') { // oder true, oder 1
        $sunday = array_shift($day_name_array);
        $day_name_array[] = $sunday;
    }*/


// RENDER CONTENT FOR ACTUAL AND NEXT DAY

/* create the content for actual day */
/* only the announce time is important - the start/stop time is to be stated directly in the respective page content */
$o = '		<div class="sitr_box">';
$o .= '			<div class="sitr_time">' 
   .	 			$today_name . ', ' . date($plugin_tx['sitr']['dateformat'])
   . '			</div>';
$o .= '			<div  class="sitr_box_content">';
    if(strlen(newsbox($today_name)) < 50 ) {
$o .= '				<div class="sitr_box_content_inner">' . newsbox($plugin_tx['sitr']['page_no_information']) . '</div>';
    } elseif($time < $announceTime) {
$o .= '				<div class="text_above">' . $plugin_tx['sitr']['text_above'] . '</div>';
$o .= '				<div class="sitr_box_content_inner">' . sprintf($plugin_tx['sitr']['text_before_announcement'],$plugin_cf['sitr']['information_announce_on']) . '</div>';
$o .= '				<div class="text_below">' . $plugin_tx['sitr']['text_below'] . '</div>';
    } elseif(($time > $announceTime)) {
$o .= '				<div class="text_above">' . $plugin_tx['sitr']['text_above'] . '</div>';
$o .= '				<div class="sitr_box_content_inner">' . newsbox($today_name) . '</div>';
$o .= '				<div class="text_below">' . $plugin_tx['sitr']['text_below'] . '</div>';
    }
    if($plugin_cf['sitr']['show_nextday'] == 'never') {
$o .= '				<div class="sitr_footer">' . $plugin_tx['sitr']['copyright'] . '</div>';
    }    
$o .= '			</div>';

// next day
    if($plugin_cf['sitr']['show_nextday'] !== 'never') {
$o .= '			<div class="sitr_time_tomorrow">' 
   . 				$nextday_name . ', ' . date('Y-m-d', strtotime('+1 day'))
   . '			</div>';
$o .= '			<div  class="sitr_box_content_tomorrow">';
        if(strlen(newsbox($nextday_name)) < 50 ) {
$o .= '				<div class="sitr_box_content_inner">' . newsbox($plugin_tx['sitr']['page_no_information']) . '</div>';
        } else {
$o .= '				<div class="sitr_box_content_inner">' . newsbox($nextday_name) . '</div>'; 
        }
$o .= '				<div class="sitr_footer_tomorrow">' . $plugin_tx['sitr']['copyright'] . '</div>';
$o .= '			</div>';
    }
$o .= '		</div>';

return $o;
}
